ExceptionDetailMessage (Java Platform SE 8 )
Keywords: org.omg.IOP.ExceptionDetailMessage interface
Date: 2016-07-28

org.omg.IOP

## Interface ExceptionDetailMessage

-     public interface ExceptionDetailMessage

  org/omg/IOP/ExceptionDetailMessage.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java8-openjdk/src/jdk8u-jdk8u102-b14/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Thursday, July 28, 2016 7:11:30 PM MDT

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `value` CORBA formal/02-06-01: 13.7.1: ExceptionDetailMessage identifies a CDR encapsulation of a wstring, encoded using GIOP 1.2 with a TCS-W of UTF-16.

- - ### Field Detail

    - #### value

          static final int value

      CORBA formal/02-06-01: 13.7.1: ExceptionDetailMessage identifies a CDR encapsulation of a wstring, encoded using GIOP 1.2 with a TCS-W of UTF-16. This service context may be sent on Reply messages with a reply_status of SYSTEM_EXCEPTION or USER_EXCEPTION. The usage of this service context is defined by language mappings.
      IDL/Java: ptc/02-01-22: 1.15.2: When a System Exception is marshaled, its GIOP Reply message shall include an associated ExceptionDetailMessage service context. The callee's stack trace is often very valuable debugging information but may contain sensitive or unwanted information. The wstring within the service context will therefore contain additional information relating to the exception, for example the result of calling either printStackTrace(PrintWriter) or getMessage() on the exception. When unmarshaling a System Exception on the client side, the wstring from any ExceptionDetailMessage service context shall become the Java error message in the unmarshaled exception object.
      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.